"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(["\n  position: relative;\n\n  display: flex;\n  flex: 1;\n  flex-direction: ", ";\n\n  overflow-y: auto;\n  overflow-x: hidden;\n\n  /* react-split-pane */\n  .Resizer {\n    background-color: ", ";\n    background-clip: padding-box;\n    z-index: 1;\n\n    &.vertical {\n      margin: 0 -5px;\n\n      width: 11px;\n      height: auto;\n\n      border-width: 0 5px;\n      border-style: solid;\n      border-color: transparent;\n\n      cursor: col-resize;\n    }\n\n    &.horizontal {\n      margin: -5px 0;\n\n      height: 11px;\n      width: auto;\n\n      border-width: 5px 0;\n      border-style: solid;\n      border-color: transparent;\n\n      cursor: row-resize;\n    }\n  }\n\n  /* react-split-pane */\n  .Pane {\n    overflow-x: hidden;\n    overflow-y: hidden;\n  }\n"], ["\n  position: relative;\n\n  display: flex;\n  flex: 1;\n  flex-direction: ", ";\n\n  overflow-y: auto;\n  overflow-x: hidden;\n\n  /* react-split-pane */\n  .Resizer {\n    background-color: ", ";\n    background-clip: padding-box;\n    z-index: 1;\n\n    &.vertical {\n      margin: 0 -5px;\n\n      width: 11px;\n      height: auto;\n\n      border-width: 0 5px;\n      border-style: solid;\n      border-color: transparent;\n\n      cursor: col-resize;\n    }\n\n    &.horizontal {\n      margin: -5px 0;\n\n      height: 11px;\n      width: auto;\n\n      border-width: 5px 0;\n      border-style: solid;\n      border-color: transparent;\n\n      cursor: row-resize;\n    }\n  }\n\n  /* react-split-pane */\n  .Pane {\n    overflow-x: hidden;\n    overflow-y: hidden;\n  }\n"]);

var _styledComponents = require("styled-components");

var _styledComponents2 = _interopRequireDefault(_styledComponents);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var Container = _styledComponents2.default.section(_templateObject, function (props) {
  return props.vertical ? "row" : "column";
}, function (props) {
  return props.theme.border;
});

exports.default = Container;